Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared
Class ModuleType

    java.lang.Object
      javax.enterprise.deploy.shared.ModuleType

public class ModuleType
extends java.lang.Object

Class ModuleTypes defines enumeration values for the J2EE module types.

Author:
  Rebecca Searls

Field Summary
`static ModuleType` | `CAR` The module is an Client Application archive.
`static ModuleType` | `EAR` The module is an EAR archive.
`static ModuleType` | `EJB` The module is an Enterprise Java Bean archive.
`static ModuleType` | `RAR` The module is an Connector archive.
`static ModuleType` | `WAR` The module is an Web Application archive.

Constructor Summary
`protected` | `ModuleType(int value)` Construct a new enumeration value with the given integer value.

Method Summary
`protected ModuleType[]` | `getEnumValueTable()` Returns the enumeration value table for class ModuleType
`java.lang.String` | `getModuleExtension()` Return the file extension string for this enumeration.
`static ModuleType` | `getModuleType(int value)` Return an object of the specified value.
`protected int` | `getOffset()` Returns the lowest integer value used by this enumeration value's enumeration class.
`protected java.lang.String[]` | `getStringTable()` Returns the string table for class ModuleType
`int` | `getValue()` Returns this enumeration value's integer value.
`java.lang.String` | `toString()` Return the string name of this ModuleType or the integer value if outside the bounds of the table

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EAR

    public static final ModuleType EAR

  The module is an EAR archive.

### EJB

    public static final ModuleType EJB

  The module is an Enterprise Java Bean archive.

### CAR

    public static final ModuleType CAR

  The module is an Client Application archive.

### RAR

    public static final ModuleType RAR

  The module is an Connector archive.

### WAR

    public static final ModuleType WAR

  The module is an Web Application archive.

Constructor Detail

### ModuleType

    protected ModuleType(int value)

  Construct a new enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

Method Detail

### getValue

    public int getValue()

  Returns this enumeration value's integer value.

  Returns:
    the value

### getStringTable

    protected java.lang.String[] getStringTable()

  Returns the string table for class ModuleType

### getEnumValueTable

    protected ModuleType[] getEnumValueTable()

  Returns the enumeration value table for class ModuleType

### getModuleExtension

    public java.lang.String getModuleExtension()

  Return the file extension string for this enumeration.

### getModuleType

    public static ModuleType getModuleType(int value)

  Return an object of the specified value.

  Parameters:
    `value` - a designator for the object.

### toString

    public java.lang.String toString()

  Return the string name of this ModuleType or the integer value if outside the bounds of the table

### getOffset

    protected int getOffset()

  Returns the lowest integer value used by this enumeration value's enumeration class.

  The default implementation returns 0. If the enumeration class (a subclass of class EnumSyntax) uses integer values starting at other than 0, override this method in the subclass.

  Returns:
    the offset of the lowest enumeration value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.